View Issue Details

IDProjectCategoryView StatusLast Update
0001072SOGoSOPEpublic2011-03-30 14:17
Reporterbuzzdee Assigned Toludovic  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.4 
Fixed in Version1.3.6 
Summary0001072: Fix compilation of SOPE on OpenBSD mips64
Description

The config.guess for NGStreqms has wrong assumptions about OpenBSD on SGI mips64. It must be mips64-unknown-openbsd instead of mips-unknown-openbsd. However, while looking at the config.guess, I removed all the manual crafted output, and replaced it with a more general automatic approach. Actually copied from the config.guess from gnustep-base.

Additional Information

attached patch works for me on my origin 3000 and still doesn't break my i386 box ;)

TagsNo tags attached.

Activities

2011-01-08 10:28

 

patch-sope-core_NGStreams_config_guess (3,008 bytes)   
$OpenBSD$

Match config.guess arch/OS detection with gnustep-base
Fixes mips64 in particular

--- sope-core/NGStreams/config.guess.orig	Thu Jan  6 15:37:29 2011
+++ sope-core/NGStreams/config.guess	Sat Jan  8 11:40:35 2011
@@ -242,30 +242,9 @@ EOF
     Amiga*:UNIX_System_V:4.0:*)
 	echo m68k-unknown-sysv4
 	exit 0;;
-    amiga:OpenBSD:*:*)
-	echo m68k-unknown-openbsd${UNAME_RELEASE}
-	exit 0 ;;
     *:[Aa]miga[Oo][Ss]:*:*)
 	echo ${UNAME_MACHINE}-unknown-amigaos
 	exit 0 ;;
-    arc64:OpenBSD:*:*)
-	echo mips64el-unknown-openbsd${UNAME_RELEASE}
-	exit 0 ;;
-    arc:OpenBSD:*:*)
-	echo mipsel-unknown-openbsd${UNAME_RELEASE}
-	exit 0 ;;
-    hkmips:OpenBSD:*:*)
-	echo mips-unknown-openbsd${UNAME_RELEASE}
-	exit 0 ;;
-    pmax:OpenBSD:*:*)
-	echo mipsel-unknown-openbsd${UNAME_RELEASE}
-	exit 0 ;;
-    sgi:OpenBSD:*:*)
-	echo mips-unknown-openbsd${UNAME_RELEASE}
-	exit 0 ;;
-    wgrisc:OpenBSD:*:*)
-	echo mipsel-unknown-openbsd${UNAME_RELEASE}
-	exit 0 ;;
     *:OS/390:*:*)
 	echo i370-ibm-openedition
 	exit 0 ;;
@@ -328,9 +307,6 @@ EOF
     aushp:SunOS:*:*)
 	echo sparc-auspex-sunos${UNAME_RELEASE}
 	exit 0 ;;
-    atari*:OpenBSD:*:*)
-	echo m68k-unknown-openbsd${UNAME_RELEASE}
-	exit 0 ;;
     # The situation for MiNT is a little confusing.  The machine name
     # can be virtually everything (everything which is not
     # "atarist" or "atariste" at least should have a processor
@@ -357,18 +333,6 @@ EOF
     *:*MiNT:*:* | *:*mint:*:* | *:*TOS:*:*)
         echo m68k-unknown-mint${UNAME_RELEASE}
         exit 0 ;;
-    sun3*:OpenBSD:*:*)
-	echo m68k-unknown-openbsd${UNAME_RELEASE}
-	exit 0 ;;
-    mac68k:OpenBSD:*:*)
-	echo m68k-unknown-openbsd${UNAME_RELEASE}
-	exit 0 ;;
-    mvme68k:OpenBSD:*:*)
-	echo m68k-unknown-openbsd${UNAME_RELEASE}
-	exit 0 ;;
-    mvme88k:OpenBSD:*:*)
-	echo m88k-unknown-openbsd${UNAME_RELEASE}
-	exit 0 ;;
     powerpc:machten:*:*)
 	echo powerpc-apple-machten${UNAME_RELEASE}
 	exit 0 ;;
@@ -649,9 +613,6 @@ EOF
     parisc*:Lites*:*:*)
 	echo hppa1.1-hp-lites
 	exit 0 ;;
-    hppa*:OpenBSD:*:*)
-	echo hppa-unknown-openbsd
-	exit 0 ;;
     C1*:ConvexOS:*:* | convex:ConvexOS:C1*:*)
 	echo c1-convex-bsd
         exit 0 ;;
@@ -702,9 +663,6 @@ EOF
         FUJITSU_REL=`echo ${UNAME_RELEASE} | sed -e 's/ /_/'`
         echo "${FUJITSU_PROC}-fujitsu-${FUJITSU_SYS}${FUJITSU_REL}"
         exit 0 ;;
-    hp300:OpenBSD:*:*)
-	echo m68k-unknown-openbsd${UNAME_RELEASE}
-	exit 0 ;;
     i?86:BSD/386:*:* | i?86:BSD/OS:*:* | *:Ascend\ Embedded/OS:*:*)
 	echo ${UNAME_MACHINE}-pc-bsdi${UNAME_RELEASE}
 	exit 0 ;;
@@ -718,8 +676,9 @@ EOF
 	echo ${UNAME_MACHINE}-unknown-freebsd`echo ${UNAME_RELEASE}|sed -e 's/[-(].*//'`
 	exit 0 ;;
     *:OpenBSD:*:*)
-	echo ${UNAME_MACHINE}-unknown-openbsd`echo ${UNAME_RELEASE}|sed -e 's/[-_].*/\./'`
-	exit 0 ;;
+        UNAME_MACHINE_ARCH=`arch | sed 's/OpenBSD.//'`
+        echo ${UNAME_MACHINE_ARCH}-unknown-openbsd${UNAME_RELEASE}
+        exit ;;
     i*:CYGWIN*:*)
 	echo ${UNAME_MACHINE}-pc-cygwin
 	exit 0 ;;
wsourdeau

wsourdeau

2011-03-30 14:17

viewer   ~0002316

Fixed in a7ef4a2a412b093da5f4be5031b48b0fea104491

Issue History

Date Modified Username Field Change
2011-01-08 10:28 buzzdee New Issue
2011-01-08 10:28 buzzdee File Added: patch-sope-core_NGStreams_config_guess
2011-02-15 16:46 ludovic Status new => assigned
2011-02-15 16:46 ludovic Assigned To => ludovic
2011-03-30 14:17 wsourdeau Note Added: 0002316
2011-03-30 14:17 wsourdeau Status assigned => resolved
2011-03-30 14:17 wsourdeau Fixed in Version => 1.3.6
2011-03-30 14:17 wsourdeau Resolution open => fixed